{
    "name": "ebikes-lwc",
    "private": true,
    "version": "1.0.0",
    "description": "EBikes Sample App - Lightning Web Components",
    "scripts": {
        "lint": "npm run lint:lwc && npm run lint:aura",
        "lint:lwc": "eslint **/lwc/**",
        "lint:aura": "sfdx force:lightning:lint **/aura/** --exit",
        "test": "npm run lint && npm run test:unit",
        "test:unit": "lwc-jest",
        "test:unit:watch": "lwc-jest --watch",
        "test:unit:debug": "lwc-jest --debug",
        "prettier": "prettier --write '**/*.{cmp,component,css,html,js,json,md,page,yaml,yml}'",
        "prettier:verify": "prettier --list-different '**/*.{cmp,component,css,html,js,json,md,page,yaml,yml}'",
        "postinstall": "node bin/check-version.js"
    },
    "author": "salesforce.com",
    "license": "CC0-1.0",
    "repository": {
        "type": "git",
        "url": "https://gitlab.com/douglascayers/tdx19-gitlab-and-salesforce-ebikes-lwc.git"
    },
    "engines": {
        "node": ">= 10.13.0",
        "npm": ">= 6.5.0"
    },
    "devDependencies": {
        "@salesforce/eslint-config-lwc": "^0.3.0",
        "@salesforce/lwc-jest": "^0.4.12",
        "eslint": "^5.16.0",
        "husky": "^1.3.1",
        "lint-staged": "^8.1.5",
        "prettier": "^1.17",
        "semver": "^5.7.0"
    },
    "husky": {
        "hooks": {
            "pre-commit": "lint-staged && npm run lint:aura"
        }
    },
    "lint-staged": {
        "**/*.{cmp,component,css,html,js,json,md,page,yaml,yml}": [
            "prettier --write"
        ],
        "**/lwc/**": [
            "eslint"
        ],
        "*": [
            "git add"
        ]
    }
}
